Part Cylinder/it: Difference between revisions

From FreeCAD Documentation
(Created page with "{{TitleProperty|Attachment}}")
(Created page with "L'oggetto ha le stesse proprietà di collegamento di un Part Part2DObject.")
Line 67: Line 67:
{{TitleProperty|Attachment}}
{{TitleProperty|Attachment}}


The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].
L'oggetto ha le stesse proprietà di collegamento di un [[Part_Part2DObject#Data/it|Part Part2DObject]].


{{TitleProperty|Cylinder}}
{{TitleProperty|Cylinder}}

Revision as of 21:28, 25 December 2023

Cilindro

Posizione nel menu
Parte → Primitive → Cilindro
Ambiente
Part
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Part Primitive

Descrizione

Il comando Part Cilindro crea un solido cilindrico parametrico. È il risultato dell'estrusione di un arco circolare lungo un percorso rettilineo. Nel sistema di coordinate definito dalla sua proprietà DatiPlacement, la faccia inferiore del cilindro si trova sul piano XY con il centro nell'origine.

Un Part Cilindro può essere trasformato in un segmento di cilindro modificando la sua proprietà DatiAngle.

Utilizzo

  1. Esistono diversi modi per richiamare il comando:
    • Premere il pulsante Cilindro.
    • Selezionare l'opzione Part → Primitive → Cilindro dal menu.
  2. Il cilindro viene creato.
  3. Facoltativamente, modificare le dimensioni e il DatiPlacement del cilindro effettuando una delle seguenti operazioni:
    • Fare doppio clic sull'oggetto nella Vista ad albero:
      1. Si apre il pannello delle attività Primitive geometriche.
      2. Modificare una o più proprietà.
      3. L'oggetto viene aggiornato dinamicamente nella vista 3D.
      4. Premere il pulsante OK.
    • Modificare le proprietà nell'Editor delle proprietà.
    • Modificare il DatiPlacement con il comando Trasforma.

Esempio

Part Cilindro dall'esempio di scripting

Un oggetto Part Cilindro creato con l'esempio di scripting riportato di seguito è mostrato qui.

Note

  • È possibile creare un Part Cilindro anche con il comando Part Primitive. Con questo comando si possono specificare le dimensioni e il posizionamento al momento della creazione.

Proprietà

Vedere anche: Editor delle proprietà.

Un oggetto Part Cilindro deriva da un oggetto Funzione Part e ne eredita tutte le proprietà. Ha inoltre le seguenti proprietà aggiuntive:

Dati

Attachment

L'oggetto ha le stesse proprietà di collegamento di un Part Part2DObject.

Cylinder

  • DatiRadius (Length): The radius of the circular arc that defines the cylinder. The default is 2mm.
  • DatiHeight (Length): The height of the cylinder. The default is 10mm.
  • DatiAngle (Angle): The angle of the circular arc that defines the cylinder. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cylinder.

Prism

  • DatiFirst Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20
  • DatiSecond Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cylinder can be created with the addObject() method of the document:

cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
  • Where "myCylinder" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()